#ifndef _MSSQL_TABLEATTRIBUTE_DESCRIPTION_H_
#define _MSSQL_TABLEATTRIBUTE_DESCRIPTION_H_
#include <buildspec.h>
#include <Client/ClientUtils/Network/AbstractRDBAccess.h>
#include <boost/shared_ptr.hpp>

namespace GST {
namespace ClientUtils {
class GST_API_EXPORT MSSQLAttributeDesc :
	public AbstractRDBAttributeDesc
{
public:
	MSSQLAttributeDesc(const TableAttributeDesc & desc, bool is_primaryKey=false)
		: AbstractRDBAttributeDesc(desc,is_primaryKey)
	{
	}
	~MSSQLAttributeDesc(void);
	virtual std::string Type2DDL() const;
	virtual TableAttributeDesc * clone() const;
};
typedef boost::shared_ptr<MSSQLAttributeDesc> MSSQLAttributeDescPtr;

} //of ns ClientUtils
} //of ns GST

#endif //_MSSQL_TABLEATTRIBUTE_DESCRIPTION_H_